Delete a CloudFS filesystem
Permanently deletes a CloudFS filesystem, removing its S3 bucket and its metadata database. Deletion is synchronous: the response returns the filesystem’s final state with status deleted. There is no restore. A filesystem that is still provisioning returns a 409. If the filesystem still contains data, the request may be rejected with a 409 — drain the bucket and retry.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.storage.cloudfs.delete('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.storage.cloudfs.delete(
"id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Storage.Cloudfs.Delete(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.storage()cloudfs()delete("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
cloudfs_filesystem_detail_response_wrapper = telnyx.storage.cloudfs.delete("id")
puts(cloudfs_filesystem_detail_response_wrapper)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$cloudfs_filesystem_detail_response_wrapper = $client->storage->cloudfs->delete(
'id',
);
var_dump($cloudfs_filesystem_detail_response_wrapper);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:cloudfs delete \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/storage/cloudfs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "cloudfs",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "agent-fs",
"status": "ready",
"meta_url": "postgres://fs_0123456789abcdef@us-east-1.telnyxcloudfs.com:5432/fs_0123456789abcdef?sslmode=require",
"s3_endpoint": "https://us-east-1.telnyxcloudstorage.com",
"s3_bucket": "cloudfs-fs-0123456789abcdef",
"region": "us-east-1",
"error": "failed to create storage bucket",
"created_at": "2026-07-14T21:42:01Z",
"updated_at": "2026-07-14T21:42:01Z"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
CloudFS filesystem ID
Response
CloudFS filesystem deleted; the returned filesystem has status deleted
A CloudFS filesystem as returned by get, update, and delete. meta_url omits the credential and there is no meta_token field — the token is only returned by create and rotate-meta-token.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.storage.cloudfs.delete('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.storage.cloudfs.delete(
"id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Storage.Cloudfs.Delete(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.storage()cloudfs()delete("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
cloudfs_filesystem_detail_response_wrapper = telnyx.storage.cloudfs.delete("id")
puts(cloudfs_filesystem_detail_response_wrapper)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$cloudfs_filesystem_detail_response_wrapper = $client->storage->cloudfs->delete(
'id',
);
var_dump($cloudfs_filesystem_detail_response_wrapper);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:cloudfs delete \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/storage/cloudfs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "cloudfs",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "agent-fs",
"status": "ready",
"meta_url": "postgres://fs_0123456789abcdef@us-east-1.telnyxcloudfs.com:5432/fs_0123456789abcdef?sslmode=require",
"s3_endpoint": "https://us-east-1.telnyxcloudstorage.com",
"s3_bucket": "cloudfs-fs-0123456789abcdef",
"region": "us-east-1",
"error": "failed to create storage bucket",
"created_at": "2026-07-14T21:42:01Z",
"updated_at": "2026-07-14T21:42:01Z"
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}